Issue 125050 - Comment/Annotation applies to wrong table selection
Summary: Comment/Annotation applies to wrong table selection
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 4.1.0
Hardware: All All
: P2 Normal (vote)
Target Milestone: 4.1.1
Assignee: Oliver-Rainer Wittmann
QA Contact: Rekha S
URL:
Keywords:
Depends on:
Blocks: 124985
  Show dependency tree
 
Reported: 2014-06-05 09:59 UTC by Oliver-Rainer Wittmann
Modified: 2017-05-20 10:35 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
jsc: 4.1.1_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2014-06-05 09:59:39 UTC
defect in feature implementation "Comments/Annotations on text range".

- new text document
- insert table with at least two table cells
- select arbitrary cell range
- insert comment
--> the text range the comment is applied to is not the one which had been selected.
Comment 1 Oliver-Rainer Wittmann 2014-06-05 10:00:44 UTC
fix is in progress

fix might be considered as a candidate for possible 4.1.x release
Comment 2 SVN Robot 2014-06-05 10:49:58 UTC
"orw" committed SVN revision 1600590 into trunk:
125050: correct text range for comment/annotation at a table cell selection
Comment 3 Oliver-Rainer Wittmann 2014-06-05 10:59:35 UTC
fixed on trunk
Comment 4 Oliver-Rainer Wittmann 2014-06-16 08:29:14 UTC
Requesting 4.1.1 release blocker flag, because:
- it is a defect in a newly introduced feature
- a small fix is already available.
Comment 5 jsc 2014-06-16 08:46:17 UTC
grant showstopper flag, problem in a new feature
Comment 6 SVN Robot 2014-06-19 10:01:56 UTC
"orw" committed SVN revision 1603804 into branches/AOO410:
125050: correct text range for comment/annotation at a table cell selection
Comment 7 Oliver-Rainer Wittmann 2014-06-19 10:04:01 UTC
fixed on branch AOO410 for planned 4.1.1 release
Comment 8 fanyuzhen 2014-07-01 06:33:31 UTC
Rekha, could you please verify this bug? Thanks!
Comment 9 Rekha S 2014-07-10 20:30:11 UTC
Hi
I have verified this bug on AOO 4.1.1 on  Windows 8 OS.

The comments for are appearing correctly for the selected cells in the table.


Thanks!
Rekha